import { VersionedObject, VersionedObjectMigrator } from "../../businessObjects/versioned/VersionedObject.js";
import { EWalletDataType } from "../../enum";
import { EVMContractAddress, IpfsCID } from "../../primitives/index.js";
import { PropertiesOf } from "../../utilities/index.js";
export declare class PermissionForStorage extends VersionedObject {
    consentAddress: EVMContractAddress;
    virtual: EWalletDataType[];
    questionnaires: IpfsCID[];
    static CURRENT_VERSION: number;
    constructor(consentAddress: EVMContractAddress, virtual: EWalletDataType[], questionnaires: IpfsCID[]);
    getVersion(): number;
}
export declare class PermissionForStorageMigrator extends VersionedObjectMigrator<PermissionForStorage> {
    protected factory(data: PropertiesOf<PermissionForStorage>): PermissionForStorage;
    protected getUpgradeFunctions(): Map<number, (data: Record<string, unknown>, version: number) => Record<string, unknown>>;
    getCurrentVersion(): number;
}
//# sourceMappingURL=PermissionForStorage.d.ts.map